<div id="add_connection">
  <div class="row">
    <div class="col-lg-12">
       
      <kendo-dropdownlist [data]="connectors"  [filterable]="true" [textField]="'text'" [valueField]="'value'" id="selectConnector"
        [value]="selectedConnector" [(ngModel)]="selectedConnector" [valuePrimitive]="true" style="width: 100%"
        (filterChange)="filterConnector($event)" (selectionChange)="selectionChangeConnector($event)">
        <ng-template kendoDropDownListItemTemplate let-dataItem>
          <img [src]="dataItem.img" width="40" /> &nbsp;{{ dataItem.text }}
        </ng-template>
      </kendo-dropdownlist>
   
    </div>
  </div>

  <div class="row" *ngIf="selectedConnector === 0">
    <div class="col-lg-12 text-center">
      <svg class="icon_change_log" shape-rendering="geometricPrecision" width="60" height="60" style="padding: 10px; border: solid 1px #cccccc; border-radius: 50%; margin-top: 12%">
        <use xlink:href="./assets/dist/img/icons.svg#icon_plug"></use>
      </svg>
      <p>Select connector from above dropdown.</p>
    </div>
  </div>
 
  <app-odata-connector *ngIf="selectedConnector === 1" (saveConnection)="closeIt($event)"></app-odata-connector>
  <app-rdbms-connector *ngIf="selectedConnector === 2" (saveConnection)="closeIt($event)"></app-rdbms-connector>
  <app-rdbms-connector *ngIf="selectedConnector === 3" (saveConnection)="closeIt($event)"></app-rdbms-connector>
  <app-rdbms-connector *ngIf="selectedConnector === 5" (saveConnection)="closeIt($event)"></app-rdbms-connector>
  <app-api-connector *ngIf="selectedConnector === 4" (saveConnection)="closeIt($event)"></app-api-connector>

</div>